Export Essbase Data (v2)

Required Roles

Service Administrator

REST Resource

POST /interop/rest/v2/essbase/export

Request

Supported Media Types: application/json

Table 2-164 Parameters

Name Description Type Required Default
cubeName Name of the BSO or ASO cube Payload Yes None
fileName Name of a zip file in which the Oracle Essbase data will be exported. This file will be available in the outbox from where it can be downloaded. Payload Yes None
level

The value is 0 or ALL, Level 0 and ALL are valid for BSO cubes. Only level 0 is valid for ASO cubes.

Payload Yes level=0

Example URL and Payload

https://<BASE-URL>/interop/rest/v2/essbase/export
{
    "cubeName": "Plan1",
    "fileName": "Plan1Export.zip",
    "parameters": {
        "level": "0"
    }
}

Response

Supported Media Types: application/json

Table 2-165 Parameters

Attribute Description
details In case of errors, details are published with the error string
status See Error Handling and Status Codes
links Detailed information about the link
href Links to API call
action The HTTP call type
rel Possible values. Can be self and/or Job Status. If set to Job Status, you can use the href to get the status of the re-export operation
data Parameters as key value pairs passed in the request

Examples of Response Body

Example 1: Export is in Progress

 
{
    "details": "Essbase Database Export",
    "status": -1,
    "items": null,
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/essbase/export",
            "action": "POST",
            "rel": "self",
            "data": null
        },
        {
            "href": "https://<BASE-URL>/interop/rest/v2/status/jobs/<JOB_ID>",
            "action": "GET",
            "rel": "Job Status",
            "data": null
        }
    ]
}

Example 2: Export Completes Successfully

{
    "details": null,
    "status": 0,
    "items": null,
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/status/jobs/<JOB_ID>",
            "action": "GET",
            "rel": "self",
            "data": null
        }
    ]
}

Sample cURL command

curl -X POST -s -u '<USERNAME>:<PASSWORD>' -o response.txt -D respHeader.txt -H 'Content-Type: application/json' -d 
'{"cubeName":"<CUBE-NAME>","fileName":"<FILE-NAME>","parameters":{"level": "<LEVEL>" }}' 'https://<BASE-URL>/interop/rest/v2/essbase/export'